## org.apache.tools.ant.types.selectors
Interface FileSelector

All Known Subinterfaces:
  ExtendFileSelector

All Known Implementing Classes:
  BaseExtendSelector, BaseSelector

public interface FileSelector

This is the interface to be used by all selectors.

Since:
  1.5

Method Summary
`boolean` `isSelected(java.io.File basedir, java.lang.String filename, java.io.File file)` Method that each selector will implement to create their selection behaviour.

Method Detail

### isSelected

    public boolean isSelected(java.io.File basedir,
                              java.lang.String filename,
                              java.io.File file)
                       throws BuildException

  Method that each selector will implement to create their selection behaviour. If there is a problem with the setup of a selector, it can throw a BuildException to indicate the problem.

  Parameters:
    `basedir` - A java.io.File object for the base directory
    `filename` - The name of the file to check
    `file` - A File object for this filename
  Returns:
    whether the file should be selected or not
  Throws:
    `BuildException` - if the selector was not configured correctly

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.